[script]
n0=; BOT SETUP
n1=on *:CONNECT:{
n2=  /ial on
n3=}
n4=on *:start:{
n5=  if ($readini(stp.ini,n,bot.var,botsetup) == done) { halt }
n6=  /background -emfs images\DRAGON.jpg
n7=  /background -hr images\bar2.bmp
n8=  /background -lr images\bar1.bmp
n9=  /writeini stp.ini bot.var botsetup done
n10=  /background @watch images\DRAGON.jpg
n11=}
n12=
n13=on *:exit:/save -rv vars.ini
n14=on *:JOIN:#: if ( $nick == $me ) who $chan
n15=
n16=on 500:TEXT:!identify*:*:{ /nickserv identify $2 }
n17=
n18=on 1:TEXT:!rules:*:{  
n19=  set -u30 %rl2.total  $count($readini(stp.ini,n,rules,rule.list1),$chr(44))
n20=  set -u30 %rl2.count 0
n21=  while (%rl2.count <= %rl2.total) {
n22=    inc %rl2.count 1
n23=    msg $nick $eval($gettok($readini(stp.ini,n,rules,rule.list1),%rl2.count,44),2)
n24=  }
n25=}
n26=on 1:TEXT:%setup.rule.word2:*:{  
n27=  set -u30 %rl2.total  $count($readini(stp.ini,n,rules,rule.list2),$chr(44))
n28=  set -u30 %rl2.count 0
n29=  while (%rl2.count <= %rl2.total) {
n30=    inc %rl2.count 1
n31=    msg $nick $eval($gettok($readini(stp.ini,n,rules,rule.list2),%rl2.count,44),2)
n32=  }
n33=}
n34=on 1:TEXT:%setup.rule.word3:*:{  
n35=  set -u30 %rl2.total  $count($readini(stp.ini,n,rules,rule.list3),$chr(44))
n36=  set -u30 %rl2.count 0
n37=  while (%rl2.count <= %rl2.total) {
n38=    inc %rl2.count 1
n39=    msg $nick $eval($gettok($readini(stp.ini,n,rules,rule.list3),%rl2.count,44),2)
n40=  }
n41=}
n42=
n43=
n44=on 1:TEXT:*!ping*:*:/ctcp $nick ping
n45=on 1:CTCPREPLY:PING*:%pt = $duration($calc($ctime - $2))  | /notice $nick Your ping time is %pt
n46=
n47=#ban on
n48=on @*:BAN:#: {
n49=  if ( $banmask iswm $address($me,5) ) {
n50=    if ( $nick == $me ) halt
n51=    if (%unban_self == 1) {
n52=      mode $chan -ob $nick $banmask
n53=    }
n54=  }
n55=  else enforce_ban $chan $banmask Banned by $nick
n56=}
n57=alias enforce_ban {
n58=  var %x = 1
n59=  while ( $ialchan($2,$1,%x).nick ) {
n60=    kick $1 $ifmatch $3-
n61=    inc %x
n62=  }
n63=}
n64=alias ban_and_enforce {
n65=  mode $1 +b $2
n66=  enforce_ban $1 $2 Banned
n67=} 
n68=#ban end
n69=
n70=alias blacklist {
n71=  if ($1 == $null) { ulist blacklist }
n72=  elseif ($1 == remove) { ruser blacklist $2 }
n73=  elseif ($1 == clear) { rlevel blacklist }
n74=  else auser blacklist $1 $2-
n75=}
n76=
n77=
n78=on @blacklist:JOIN:#: {
n79=  mode $chan +b $ulist($fulladdress,blacklist,1)    
n80=  kick $chan $nick Blacklisted: $ulist($fulladdress,blacklist,1).info
n81=}
